Bug 1434369 - RHEL 6.9 update breaks createrepo
Summary: RHEL 6.9 update breaks createrepo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: createrepo
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: Jan Blazek
URL:
Whiteboard:
: 1460559 (view as bug list)
Depends On:
Blocks: 1499203 1465915 1494504
TreeView+ depends on / blocked
 
Reported: 2017-03-21 11:23 UTC by Marko Myllynen
Modified: 2018-06-19 05:25 UTC (History)
23 users (show)

Fixed In Version: createrepo-0.9.9-27.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1465915 (view as bug list)
Environment:
Last Closed: 2018-06-19 05:25:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 23016 None None None 2017-03-22 03:19:06 UTC
Red Hat Product Errata RHBA-2018:1931 None None None 2018-06-19 05:25:36 UTC

Description Marko Myllynen 2017-03-21 11:23:19 UTC
Description of problem:
The following works with createrepo-0.9.9-24.el6 but breaks with RHEL 6.9 / createrepo-0.9.9-26.el6:

$ mkdir /tmp/test
$ cd /tmp/test
$ createrepo -C -c .cache -d -q --update .
$ createrepo -C -c .cache -d -q --update .

Version-Release number of selected component (if applicable):
createrepo-0.9.9-26.el6

Comment 6 Ashfaqur Rahaman 2017-06-12 09:16:57 UTC
*** Bug 1460559 has been marked as a duplicate of this bug. ***

Comment 8 Thomas Oulevey 2017-06-19 11:21:43 UTC
Any update on this case ? We had to downgrade on our distribution servers.

Comment 9 Oliver Haessler 2017-06-27 11:06:38 UTC
Is there any update for this bug? This issue impacts our cobbler install servers when trying to add a new distro.

Comment 10 Valentina Mukhamedzhanova 2017-06-27 14:24:22 UTC
This is fixed in upstream - https://github.com/rpm-software-management/createrepo/commit/19711d9fd87e39a8bb8ca2c4caf99ec7aaf192d1

Comment 20 errata-xmlrpc 2018-06-19 05:25:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1931


Note You need to log in before you can comment on or make changes to this bug.